API Reference

Create Text Context Source Version

Creating a new text context source version requires only the content; the name is optional.

Endpoint
POST https://api.zatomic.ai/v1/context/sources/{contextSourceId}/versions/text

// Example
POST https://api.zatomic.ai/v1/context/sources/cts_2qRzu8geIvfudcJTwP0pur4TbMJ/versions/text

Endpoint Request

Request Properties
content
string
Text content for the context source version.
name
string, optional
Name of the context source version.
Request Body
{
   "name": "Context source version name",
   "content": "This is a reusable piece of text."
}

Endpoint Response

A successful call returns a 201 status code with a response that contains the context source version object.

HTTP Status Codes
201 Created The context source version was created.
400 Bad Request The content was not provided in the request.
404 Not Found The context source didn't exist.
500 Internal Server Error Something went wrong on Zatomic's end.